#pragma once

#include "stdafx.h"

class InterfaceCommunication
{
public:

	virtual void init(ActualCommandParams actualCommandParams) = 0;
	virtual void transmitBuffer(DataBuffer dataBuffer, bool verbose) = 0;
	virtual void transmitBufferInit432() = 0;
	virtual uint8_t* receiveBuffer(uint32_t size, bool verbose) = 0;
	virtual void close() = 0;

	virtual void changeBaudRate(uint32_t baudRate) = 0;

	virtual uint32_t retBytesWritten() = 0;
	virtual uint32_t retBytesRead() = 0;

	virtual void resetBytesWritten() = 0;
	virtual void resetBytesRead() = 0;

private:

};